<!-- log-reg-sec starts -->
<section class="log-reg-sec reset-password-sec">
    <div class="container">
        <div class="log-outer">
            <h2>Reset your password.</h2>


            <div class="reset-pass-wrap">
                <div class="log-box box-br">
                    <h3>Enter your new password.</h3>
                    <form [formGroup]="resetPasswordForm">
                        <div class="form-group">
                            <input type="password" formControlName="password" class="form-control" placeholder="New Password" [ngClass]="{ 'is-invalid': (resetPasswordForm.controls.password.touched || resetPasswordSubmitted) && resetPasswordForm.controls.password.errors }">
                            <p class="error_module" *ngIf="resetPasswordForm.controls.password.touched || resetPasswordSubmitted">
                                <app-form-validation-errors minLength=8 [isPassword]=true maxLength=50 errorPrefix="Password " [errors]="resetPasswordForm.controls.password.errors"></app-form-validation-errors>
                            </p>
                        </div>

                        <div class="form-group">
                            <input type="password" formControlName="confirm_password" class="form-control" placeholder="Confirm Password" [ngClass]="{ 'is-invalid': (resetPasswordForm.controls.confirm_password.touched || resetPasswordSubmitted) && resetPasswordForm.controls.confirm_password.errors }">
                            <p class="error_module" *ngIf="resetPasswordForm.controls.confirm_password.touched || resetPasswordSubmitted">
                                <app-form-validation-errors minLength=8 [isPassword]=true maxLength=50 errorPrefix="Confirm password " [errors]="resetPasswordForm.controls.confirm_password.errors">
                                </app-form-validation-errors>
                            </p>
                        </div>

                        <button (click)="validateResetPasswordForm()" [disabled]="resetPasswordForm.invalid" type="submit" class="btn btn-primary purchase-p-log"><span>RESET</span> <br><span>PASSWORD</span></button>
                    </form>
                </div>
            </div>

        </div>
    </div>
</section>
<!-- log-reg-sec  ends -->